de.caff.util.settings

## Interface Property<T>

- Type Parameters:
    `T` - value type
  All Superinterfaces:
    ChangeableItem
  All Known Subinterfaces:
    BooleanPreferenceProperty, BytePreferenceProperty, CharPreferenceProperty, ColorPreferenceProperty, DoublePreferenceProperty, FloatPreferenceProperty, IntegerPreferenceProperty, LongPreferenceProperty, PhysicalLengthPreferenceProperty, ShortPreferenceProperty, StringPreferenceProperty
  All Known Implementing Classes:
    BasicPhysicalLengthPreferenceProperty, SimpleBooleanPreferenceProperty, SimpleBooleanProperty, SimpleBytePreferenceProperty, SimpleByteProperty, SimpleCharPreferenceProperty, SimpleCharProperty, SimpleDoublePreferenceProperty, SimpleDoubleProperty, SimpleFloatPreferenceProperty, SimpleFloatProperty, SimpleIntegerPreferenceProperty, SimpleIntegerProperty, SimpleLongPreferenceProperty, SimpleLongProperty, SimpleNonNullProperty, SimpleNullableProperty, SimpleShortPreferenceProperty, SimpleShortProperty, SimpleStringPreferenceProperty, SwingBooleanPreferenceProperty, SwingBooleanProperty, SwingColorPreferenceProperty, SwingColorProperty, SwingDoublePreferenceProperty, SwingDoubleProperty, SwingFormattedStringProperty, SwingIntegerPreferenceProperty, SwingIntegerProperty, SwingLongPreferenceProperty, SwingStringPreferenceProperty, SwingStringProperty, SwingTextProperty

      public interface Property<T>
      extends ChangeableItem

  Property interface.
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue()` Get the value of the property.
    `void` | `setValue(T value)` Set the value.

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the value of the property.
      Returns:
        property value

    - #### setValue

          void setValue(T value)

      Set the value.
      Parameters:
        `value` - new value